#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_groups, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_groups, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_groups, 0x5f4405a1, "_gpl");
SYMBOL_CRC(ahci_sdev_groups, 0xb5d34c91, "_gpl");
SYMBOL_CRC(ahci_ops, 0xbb30f398, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x8b0f7b70, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0x4474970e, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x9acf907d, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xfdec97bd, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x34ff58ff, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0x2bb02c44, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0xd8d89286, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x8baf853d, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x62596c2a, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x5033909b, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0xa130e529, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x6d28591f, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xc7a006c3, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xb13ca57e, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0x2928de3f, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x7eb28e0e, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x956e392a, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0x3dffae66, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x0e13734e, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0x8b69f718, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xb4a88cbb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1da2fbb4, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0xad3f3032, "ata_std_qc_defer" },
	{ 0xd5a3b734, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9a482f9, "msleep" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x9baaa9bc, "ata_port_classify" },
	{ 0x35b9a645, "ata_qc_complete_multiple" },
	{ 0x8bde3b4f, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x47bb982, "sata_pmp_error_handler" },
	{ 0x1b58b062, "ata_host_start" },
	{ 0xa3df8b22, "devm_request_threaded_irq" },
	{ 0x6a5bb996, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9bcb2dd8, "ata_host_register" },
	{ 0x3c6038c8, "ata_host_activate" },
	{ 0xaab02586, "ata_dummy_port_ops" },
	{ 0xa04631d6, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x122d037, "dmam_alloc_attrs" },
	{ 0xa5153bd5, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5e1ce25, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xce6bbb2f, "sata_link_hardreset" },
	{ 0xbfa8ed00, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xcbcb65f0, "sata_lpm_ignore_phy_events" },
	{ 0x7b5769b4, "ata_ehi_clear_desc" },
	{ 0xff10facc, "ata_ehi_push_desc" },
	{ 0x9cfe34f7, "sata_async_notification" },
	{ 0xb7072bd, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6021dc9b, "ata_port_abort" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x27f50924, "param_ops_int" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0x30b9639c, "sata_pmp_port_ops" },
	{ 0x19a6c83a, "dev_attr_sw_activity" },
	{ 0x24281240, "dev_attr_unload_heads" },
	{ 0xaad60fee, "dev_attr_ncq_prio_supported" },
	{ 0xfe56c47b, "dev_attr_ncq_prio_enable" },
	{ 0x1238b91a, "dev_attr_link_power_management_policy" },
	{ 0x267503a8, "dev_attr_em_message_type" },
	{ 0x364f33bb, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7173d2b0, "__pm_runtime_resume" },
	{ 0x98732120, "__pm_runtime_idle" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ddb1ef8, "ata_link_next" },
	{ 0xe93e7e2c, "ata_wait_register" },
	{ 0x7376ace0, "ata_dev_set_feature" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x68487407, "ata_msleep" },
	{ 0xf3f2435f, "sata_link_scr_lpm" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "9A7C9ED3F9F2BE88064C951");
