#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x4fcb3f4e, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x3fc2a744, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x34331be5, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0xf32cfb04, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0x8166bd19, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xaa78130e, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x30694d38, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x5d9fd644, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xa866725f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0xe7b65b2f, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xfc54960e, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x6d5fb57c, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x87f5ff84, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x9b7bb902, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x203a6c49, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x463d4c9f, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0xb71cdfe8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x30fe8f65, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x001e2e64, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0xbdd19249, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0xfbf8d473, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xe0ad695a, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x4ab83d0d, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x2a38a05d, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xe32aebfa, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xf51a5f53, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x16217275, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x07dc6cf4, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xc9a430ce, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x1fc7ebc, "regmap_raw_write" },
	{ 0x5ce85c37, "regmap_raw_read" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0x84b88457, "regmap_read" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0xfaf7186c, "regmap_update_bits_base" },
	{ 0xa3dff992, "regmap_write" },
	{ 0x37772575, "regmap_multi_reg_write" },
	{ 0x8669a66c, "regmap_bulk_read" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79dc2595, "devm_kasprintf" },
	{ 0x8855777b, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x92cb726a, "regmap_async_complete" },
	{ 0xeeba47c6, "regmap_raw_write_async" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x5e1ce25, "devm_kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa11cd4d, "seq_lseek" },
	{ 0xc1e5f9fa, "seq_read" },
	{ 0x6ac8b7e6, "single_release" },
	{ 0xc5666063, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d49e479, "debugfs_create_dir" },
	{ 0xb267221f, "debugfs_create_bool" },
	{ 0xe981c5b7, "debugfs_create_x32" },
	{ 0x98c059ab, "debugfs_create_file_full" },
	{ 0x5c9b91fc, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x3678ca52, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D3335C5B83ACB9828F50E7B");
