#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x3c538308, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x01059261, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0xa8bf70e9, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0xfb8dbf85, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xdb7e9212, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xa71bfed3, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0xb1eba354, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0x4074d69f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x63c3e9b3, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x86f013b8, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x45116e8f, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0xf9ad03eb, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x23e4c0bf, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x0bca7f93, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x44149011, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x4a4eb060, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x21683ca5, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x3eb7041a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x11074331, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x0090764c, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x852ffb1f, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x65c5e039, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0x66a30274, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x3c9a283b, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x3a5d59b4, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x52fe9aec, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x69e28ffe, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0xdf283942, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x393b550a, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x1ea905a4, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xb8e1aa47, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x2030091f, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xfd23dbb0, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x33a944c5, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x2a3afae9, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0x2d70d646, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0xa7e4d15e, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x1dece006, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e54bc2b, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d0f86a5, "drm_exec_prepare_array" },
	{ 0x6026cfd1, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x83515245, "drm_gem_private_object_init" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x3023c05a, "drm_exec_prepare_obj" },
	{ 0x241f7919, "drm_exec_lock_obj" },
	{ 0xa35e2356, "drm_exec_init" },
	{ 0xaa3bd631, "drm_exec_cleanup" },
	{ 0x6a3a619f, "drm_exec_fini" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa5153bd5, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");
