#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x1cadfbf8, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x39d7bf18, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x7c826da2, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x429843c2, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0xf3e0ca07, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x4366ec9f, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x3fa804c7, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x64164b97, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xf5c962cd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xfb578fc5, "memset" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcc130639, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x73ff0fb1, "hid_hw_open" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x919a71e9, "hid_hw_close" },
	{ 0xd4267c7e, "__hid_register_driver" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x5584a014, "hid_hw_stop" },
	{ 0x135e15da, "mfd_remove_devices" },
	{ 0x13e92dcb, "hid_unregister_driver" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf5b749fc, "hid_open_report" },
	{ 0xe99665f4, "hid_hw_start" },
	{ 0x79dc2595, "devm_kasprintf" },
	{ 0x15d23ccc, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x330ee63e, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "4C1239B4553931620B42E25");
