#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(piix4_sb800_region_request, "_gpl", "PIIX4_SMBUS");
KSYMTAB_FUNC(piix4_sb800_region_release, "_gpl", "PIIX4_SMBUS");
KSYMTAB_FUNC(piix4_transaction, "_gpl", "PIIX4_SMBUS");
KSYMTAB_FUNC(piix4_sb800_port_sel, "_gpl", "PIIX4_SMBUS");

SYMBOL_CRC(piix4_sb800_region_request, 0xe47f1456, "_gpl");
SYMBOL_CRC(piix4_sb800_region_release, 0xd4dd486b, "_gpl");
SYMBOL_CRC(piix4_transaction, 0x96691a7d, "_gpl");
SYMBOL_CRC(piix4_sb800_port_sel, 0x12719eb0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xab7b5760, "__pci_register_driver" },
	{ 0x56591772, "i2c_del_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0x414e657f, "pci_unregister_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x394161c5, "is_acpi_device_node" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x18c3d331, "i2c_add_adapter" },
	{ 0xb056f8e4, "acpi_find_child_device" },
	{ 0xe4327714, "set_primary_fwnode" },
	{ 0x147adf54, "i2c_register_spd" },
	{ 0xb19b445, "ioread8" },
	{ 0x848d372e, "iowrite8" },
	{ 0x3ada9e06, "acpi_check_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x784dec8b, "pci_read_config_byte" },
	{ 0xcb414b44, "pci_read_config_word" },
	{ 0x6b7feea8, "pci_write_config_byte" },
	{ 0x4a2ffd31, "_dev_notice" },
	{ 0xce1d85c6, "pci_bus_read_config_byte" },
	{ 0xd65cd632, "pci_write_config_word" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x27f50924, "param_ops_int" },
	{ 0x911fc3d9, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x77358855, "iomem_resource" },
	{ 0x85bd1608, "__request_region" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "i2c-smbus");

MODULE_ALIAS("pci:v00008086d00007113sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000719Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001055d00009463sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00004363sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00004372sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001002d00004385sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000780Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001022d0000790Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001D94d0000790Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001166d00000200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001166d00000201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001166d00000203sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001166d00000205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001166d00000408sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "693F1F3F3626267A78AAAE2");
