#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0x6f0f5fa3, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x4f9d3cc1, "");
SYMBOL_CRC(rdma_iw_cm_id, 0x40d685d2, "");
SYMBOL_CRC(rdma_res_to_id, 0xa3a29504, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0xe2d9c691, "");
SYMBOL_CRC(rdma_create_user_id, 0x750ed74c, "");
SYMBOL_CRC(rdma_create_qp, 0xe0f78f02, "");
SYMBOL_CRC(rdma_destroy_qp, 0x60af9f00, "");
SYMBOL_CRC(rdma_init_qp_attr, 0x08e2ac5c, "");
SYMBOL_CRC(rdma_destroy_id, 0xadb9139f, "");
SYMBOL_CRC(rdma_get_service_id, 0xe832ddc6, "");
SYMBOL_CRC(rdma_read_gids, 0xda7d8b9c, "");
SYMBOL_CRC(rdma_set_service_type, 0x2a035be9, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0xf3f40744, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0xfe447c90, "");
SYMBOL_CRC(rdma_set_ib_path, 0xa5dcf917, "");
SYMBOL_CRC(rdma_resolve_route, 0xc7181a19, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x05077a9c, "");
SYMBOL_CRC(rdma_set_afonly, 0x52e8f109, "");
SYMBOL_CRC(rdma_listen, 0xaea057e4, "");
SYMBOL_CRC(rdma_resolve_addr, 0x4d7b0401, "");
SYMBOL_CRC(rdma_bind_addr, 0x23f1eb9a, "");
SYMBOL_CRC(rdma_connect_locked, 0xebabb366, "");
SYMBOL_CRC(rdma_connect, 0xc0c54c09, "");
SYMBOL_CRC(rdma_connect_ece, 0xc695d55a, "");
SYMBOL_CRC(rdma_accept, 0xdf5c8f6c, "");
SYMBOL_CRC(rdma_accept_ece, 0xe5d9be4b, "");
SYMBOL_CRC(rdma_lock_handler, 0x7ebd1723, "");
SYMBOL_CRC(rdma_unlock_handler, 0x0a6e76f9, "");
SYMBOL_CRC(rdma_notify, 0xd8cbe0ff, "");
SYMBOL_CRC(rdma_reject, 0xc8453438, "");
SYMBOL_CRC(rdma_disconnect, 0x6001ac45, "");
SYMBOL_CRC(rdma_join_multicast, 0xb700006b, "");
SYMBOL_CRC(rdma_leave_multicast, 0x1f068d01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x3ae8bea3, "iw_cm_connect" },
	{ 0x66f9140c, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x427fd2ff, "rdma_addr_cancel" },
	{ 0x8908b709, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0xc83fc3e, "ib_sa_get_mcmember_rec" },
	{ 0xdd413066, "const_pcpu_hot" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0xd384ea3c, "ib_register_client" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe37d3c8, "ib_sa_path_rec_get" },
	{ 0x8be5b63b, "ib_create_cm_id" },
	{ 0x522ce7d8, "__ip_mc_dec_group" },
	{ 0xeaae75b4, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xae66e253, "perf_trace_run_bpf_submit" },
	{ 0x6cc41b75, "ib_init_ah_from_mcmember" },
	{ 0xc809ac6b, "rdma_destroy_ah_attr" },
	{ 0x46e789d3, "ib_set_client_data" },
	{ 0xc407795, "init_net" },
	{ 0xca0a4f21, "ib_get_cached_pkey" },
	{ 0xaf5a9f7, "configfs_register_subsystem" },
	{ 0x6a7f33d3, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x1227d62a, "rdma_put_gid_attr" },
	{ 0x3adae953, "config_group_init_type_name" },
	{ 0x229c4711, "dev_get_by_index" },
	{ 0xbdb9d5cb, "iw_destroy_cm_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcbb3d125, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x996dc9b4, "ib_send_cm_rep" },
	{ 0x42d13460, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8195813b, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xd37afd6a, "bpf_trace_run1" },
	{ 0xf292c9d4, "ib_destroy_qp_user" },
	{ 0x3400a10e, "unregister_pernet_subsys" },
	{ 0x33fc3b27, "ib_cm_init_qp_attr" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x55090fed, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3be23e63, "rdma_restrack_set_name" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbcadb284, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xe957ea9, "ib_get_cached_port_state" },
	{ 0xa60ae565, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x32181fd1, "rdma_restrack_del" },
	{ 0x857c35c2, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xccfffda, "bpf_trace_run3" },
	{ 0xdbb29bf5, "__put_net" },
	{ 0x800fd5dc, "rdma_restrack_parent_name" },
	{ 0x76d8ad7, "iw_cm_accept" },
	{ 0x6febce65, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc0b15f32, "config_item_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x23cacfc9, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0x6d99d2f9, "iw_cm_init_qp_attr" },
	{ 0xfcabe90c, "dst_release" },
	{ 0x87d943e6, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf349382a, "ib_send_cm_dreq" },
	{ 0x2173eee7, "ib_send_cm_req" },
	{ 0xa33db1c8, "ib_create_qp_kernel" },
	{ 0xc2fe0aa4, "ib_sa_join_multicast" },
	{ 0x67e9fa32, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x1aef907d, "rdma_get_gid_attr" },
	{ 0x93076f51, "rdma_restrack_new" },
	{ 0x34f898cb, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xff79b663, "iw_cm_listen" },
	{ 0x1be413cb, "ib_send_cm_rej" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x912369fe, "rdma_copy_src_l2_addr" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xf61af2fe, "rdma_resolve_ip" },
	{ 0x26cb3840, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9251985e, "iw_create_cm_id" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x11499754, "ib_unregister_client" },
	{ 0xcf765b08, "netdev_walk_all_lower_dev_rcu" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x823b7d12, "ib_send_cm_sidr_rep" },
	{ 0xda12b179, "bpf_trace_run4" },
	{ 0x77967592, "config_group_init" },
	{ 0x55f5bc8c, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xd784fa68, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8475761, "trace_raw_output_prep" },
	{ 0x468579d3, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfbad8725, "__trace_trigger_soft_disabled" },
	{ 0x48af9549, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0x9d32feaf, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5820ced1, "rdma_query_gid" },
	{ 0x820b4312, "rt6_lookup" },
	{ 0xd3c343ec, "pcpu_hot" },
	{ 0x435dfca, "rdma_translate_ip" },
	{ 0x3db094e5, "bpf_trace_run2" },
	{ 0xfb17cd76, "rdma_dev_access_netns" },
	{ 0xf2403bf9, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe6bce4fb, "ib_destroy_cm_id" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce26cdb2, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4c08c342, "register_pernet_subsys" },
	{ 0x7b1033e5, "trace_event_buffer_commit" },
	{ 0xf4c3c1fd, "ip_mc_inc_group" },
	{ 0xdae84375, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x50fc2825, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "13C2F6469B0E8343BBFD221");
