#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(felix_register_switch, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_register_switch, 0x159d4d10, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0x17c5acf5, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0x2612913a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x588ad654, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x76905e41, "ocelot_port_pre_bridge_flags" },
	{ 0x3aa04e69, "ocelot_port_del_dscp_prio" },
	{ 0xcc737e39, "ocelot_mrp_del_ring_role" },
	{ 0x9e6d9037, "ocelot_sb_tc_pool_bind_set" },
	{ 0x7a96f3fc, "dsa_fdb_present_in_other_db" },
	{ 0x7e5d9a81, "ocelot_unlock_xtr_grp" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2090ab4c, "dsa_mdb_present_in_other_db" },
	{ 0xc37820dc, "ocelot_vcap_filter_add" },
	{ 0xfcb3c8d0, "ocelot_sb_port_pool_get" },
	{ 0x13fc4b5e, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0xcc2b0895, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x7e64fa21, "ocelot_port_inject_frame" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0xf9a83c35, "ocelot_mrp_add" },
	{ 0xf985144d, "ocelot_sb_occ_port_pool_get" },
	{ 0xa40e9254, "ocelot_sb_pool_set" },
	{ 0x283b786a, "ocelot_lag_fdb_del" },
	{ 0xa8aea34d, "ocelot_vcap_filter_del" },
	{ 0x8cbaaace, "ocelot_cls_flower_stats" },
	{ 0x5cdd8822, "ocelot_lock_inj_grp" },
	{ 0x69e2e688, "ocelot_lock_xtr_grp_bh" },
	{ 0x57452fd5, "ocelot_sb_pool_get" },
	{ 0x436ce9b2, "ocelot_lock_xtr_grp" },
	{ 0x56b7c7f8, "ocelot_phylink_mac_link_up" },
	{ 0xae0a884c, "ocelot_deinit_port" },
	{ 0x64575054, "ocelot_can_inject" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x6c0032d0, "ocelot_port_mirror_add" },
	{ 0x4f0c150b, "ocelot_fdb_dump" },
	{ 0x9b5a68ff, "ocelot_vlan_prepare" },
	{ 0xeb78630f, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcef764f, "ocelot_set_ageing_time" },
	{ 0x98c07481, "__ocelot_rmw_ix" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x775b03f1, "ocelot_hwstamp_set" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe0546804, "ocelot_port_policer_del" },
	{ 0x39608fde, "ocelot_port_lag_change" },
	{ 0xe553d390, "consume_skb" },
	{ 0x92540f18, "ocelot_port_policer_add" },
	{ 0x99e0e3e2, "ocelot_port_mdb_add" },
	{ 0x212eecaf, "ocelot_vlan_add" },
	{ 0x6025a1b8, "ocelot_sb_tc_pool_bind_get" },
	{ 0xbb061a1e, "ocelot_port_bridge_flags" },
	{ 0xb11e3e6e, "ocelot_devlink_sb_unregister" },
	{ 0x127c4bb5, "ocelot_port_bridge_leave" },
	{ 0xe11eb5d5, "ocelot_port_set_maxlen" },
	{ 0x59da2b14, "ocelot_vcap_filter_replace" },
	{ 0x7665c7f6, "ocelot_get_max_mtu" },
	{ 0x8c110d04, "regmap_fields_update_bits_base" },
	{ 0x1e96040a, "ocelot_sb_occ_snapshot" },
	{ 0x2193f813, "ocelot_get_ts_info" },
	{ 0x2574f177, "ocelot_sb_occ_max_clear" },
	{ 0x1282bce1, "ocelot_port_get_mm" },
	{ 0xad6d3546, "ocelot_ptp_gettime64" },
	{ 0x61ecfb11, "ocelot_unlock_inj_grp" },
	{ 0xbf9182e5, "ocelot_get_strings" },
	{ 0xd224af26, "dsa_register_switch" },
	{ 0x37a0cba, "kfree" },
	{ 0xe74b36ed, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x1a039773, "ocelot_unlock_xtr_grp_bh" },
	{ 0xb4c99683, "ocelot_port_add_dscp_prio" },
	{ 0x39a2aee, "ocelot_drain_cpu_queue" },
	{ 0x36103c4a, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xe1c1be67, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfc416fcb, "__ocelot_read_ix" },
	{ 0xf0112ed0, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x2e64f436, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e2fa02c, "ocelot_get_sset_count" },
	{ 0xd2e03f3e, "ocelot_migrate_mdbs" },
	{ 0xe331672f, "ocelot_hwstamp_get" },
	{ 0x5540f547, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e6fd8bd, "ocelot_port_bridge_join" },
	{ 0xe42d6061, "ocelot_fdb_add" },
	{ 0x6a37aaaa, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x4f7b4f5, "ocelot_xtr_poll_frame" },
	{ 0x497f20e8, "ocelot_port_get_default_prio" },
	{ 0xbbdd894a, "ptp_classify_raw" },
	{ 0xcfc68ea4, "ocelot_port_set_default_prio" },
	{ 0xf0877a59, "dsa_tag_8021q_register" },
	{ 0x99bbcd49, "ocelot_port_get_mm_stats" },
	{ 0x2f262c71, "ocelot_deinit" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x300ea6b0, "ocelot_vlan_del" },
	{ 0x3f8d191f, "sk_skb_reason_drop" },
	{ 0x60be9a1c, "ocelot_bond_get_id" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4fc79523, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf9c97526, "ocelot_cls_flower_destroy" },
	{ 0x35f25141, "ocelot_port_vlan_filtering" },
	{ 0xaaa5dd77, "ocelot_port_get_rmon_stats" },
	{ 0xa2a8293d, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0x296f88e8, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xb9fda922, "ocelot_bridge_stp_state_set" },
	{ 0xf0e5e07f, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xab4f0471, "netif_rx" },
	{ 0xac318155, "ocelot_port_get_eth_ctrl_stats" },
	{ 0xa4ad7570, "ocelot_fdb_del" },
	{ 0x72b5a3fa, "ocelot_phylink_mac_link_down" },
	{ 0x86b210a5, "ocelot_port_lag_join" },
	{ 0xe34d3b08, "ocelot_port_get_eth_phy_stats" },
	{ 0x50c4dd6, "ocelot_port_lag_leave" },
	{ 0x107140a6, "ocelot_mrp_add_ring_role" },
	{ 0xa02bba32, "ocelot_port_set_mm" },
	{ 0xad55e033, "ocelot_deinit_timestamp" },
	{ 0x41a31c90, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6fe38158, "ocelot_port_get_stats64" },
	{ 0x283a7aaa, "ocelot_port_get_dscp_prio" },
	{ 0xa0ebfea9, "ocelot_port_mdb_del" },
	{ 0x319769de, "ocelot_port_get_eth_mac_stats" },
	{ 0xe3832f57, "ocelot_mact_flush" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "44787D8C09EEB2936783AC0");
