#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x83bfaeef, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x7610f403, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xce11bd90, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x43262a03, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0xfd2e70ca, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0x937a9f4f, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x71639bf0, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x757679d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7ae6361, "mt76x02_mac_shared_key_setup" },
	{ 0x2501e531, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x180505fb, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x290ae040, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x3cf39e9c, "ieee80211_queue_delayed_work" },
	{ 0x73f27808, "mt76_eeprom_init" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xd674c82, "mt76x02_mac_setaddr" },
	{ 0x44286a8f, "mt76_register_device" },
	{ 0xae838193, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf54420ae, "mt76x02_phy_set_band" },
	{ 0x4073f534, "mt76x02_init_device" },
	{ 0xcf637d68, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x2a0a5b4f, "mt76x02_phy_set_rxpath" },
	{ 0xe80d3ec0, "mt76x02_edcca_init" },
	{ 0x2a00e129, "mt76_eeprom_override" },
	{ 0x8d9c58fb, "mt76x02_get_lna_gain" },
	{ 0xcd7e554b, "mt76x02_init_debugfs" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5d3ee99d, "mt76x02_mac_cc_reset" },
	{ 0x86f3a719, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x33d21da0, "____mt76_poll_msec" },
	{ 0xcdb62713, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x147cdda, "mt76x02_config_mac_addr_list" },
	{ 0xe941a027, "mt76_get_sar_power" },
	{ 0x9893ef22, "mt76x02_eeprom_copy" },
	{ 0x342ee6c1, "mt76x02_mcu_calibrate" },
	{ 0x5aa34b6b, "mt76x02_mcu_function_select" },
	{ 0x6bbde55a, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0xaf249162, "mt76x02_mac_wcid_setup" },
	{ 0xe01b4147, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x8969df28, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xe53635a0, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6361fbe0, "mt76_update_channel" },
	{ 0x5b151ebd, "mt76_init_sar_power" },
	{ 0x1f34cc5f, "mt76x02_phy_adjust_vga_gain" },
	{ 0x18669e26, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "F55B773250042EFF4C9B69C");
