#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x79396664, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xf59d4263, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x6ee51bd0, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xca0a9503, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x5901fab5, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x1457e6fa, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x36e7c65b, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0xb3b4664c, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x709d9cdd, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x3a383f82, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x9cadbcf0, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x4d655b8f, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0xe30f5d21, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xc465ccca, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xf2e25cd5, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x8d01811d, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x2d56e61a, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x19aba427, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0xaaaabbde, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xfdd9338e, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xcbd672d6, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x63cb409b, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0xe58e903e, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x5863b98e, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0xf3067163, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x1fde4102, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0x73fd9e45, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xbe2dcfe9, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0x5d922a9d, "_gpl");
SYMBOL_CRC(rt2800_config, 0x00348865, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0xc9aa4112, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x8e591291, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xe65b6330, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0x51a5eed7, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x5b87c0b3, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x85b9f943, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xddaac48a, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xbb28d5a6, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xe19abb5d, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xf34213a5, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x944d9635, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x21d55e9c, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x4a523c33, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x3af3d797, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x15ba50a6, "jiffies" },
	{ 0xb503d37f, "skb_push" },
	{ 0x599f4891, "dev_kfree_skb_any_reason" },
	{ 0x31e170fe, "__skb_pad" },
	{ 0xfd2645e, "rt2x00lib_txdone_noinfo" },
	{ 0xd03ee010, "ieee80211_restart_hw" },
	{ 0x38f12ab1, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0xe82c8691, "rt2x00lib_set_mac_address" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x22e92251, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb2cc89da, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x458cda95, "rt2x00lib_txdone" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x5269b92d, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x849fd983, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x59d1ca08, "rt2x00mac_conf_tx" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D9A7D0CBEF09083DB527B76");
