#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d68d82, "kmem_cache_free" },
	{ 0x38f2d94e, "ceph_file_to_extents" },
	{ 0xeef6cfa3, "ceph_iterate_extents" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbb01e18a, "ceph_cls_lock_info" },
	{ 0xf254297e, "ceph_addr_is_blank" },
	{ 0xdfc091f9, "ceph_entity_type_name" },
	{ 0xa698f998, "ceph_free_lockers" },
	{ 0x9ca95932, "ceph_create_snap_context" },
	{ 0x2087719e, "ceph_oid_copy" },
	{ 0x28e973b2, "osd_req_op_extent_osd_data_pages" },
	{ 0x116adb76, "ceph_osdc_wait_request" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xed6f8b6b, "osd_req_op_raw_data_in_pages" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xbe3879aa, "ceph_get_snap_context" },
	{ 0xa6257a2f, "complete" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xf914dd26, "blk_mq_end_request" },
	{ 0x34486f2f, "blk_mq_start_request" },
	{ 0xcd0312b6, "set_capacity_and_notify" },
	{ 0xd0e12787, "ceph_cls_lock" },
	{ 0x2c4f622d, "ceph_osdc_list_watchers" },
	{ 0x9583bc56, "ceph_monc_blocklist_add" },
	{ 0x4d509ddf, "ceph_cls_break_lock" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x5093c1c8, "ceph_cls_set_cookie" },
	{ 0x1378aba3, "ceph_pg_pool_name_by_id" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x1057a279, "bsearch" },
	{ 0x5b5dde4c, "try_module_get" },
	{ 0xc29bf967, "strspn" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x987d3968, "ceph_alloc_options" },
	{ 0x92b1be, "ceph_parse_mon_ips" },
	{ 0xd4d736db, "ceph_destroy_options" },
	{ 0x85df9b6c, "strsep" },
	{ 0x5d915ea9, "ceph_compare_options" },
	{ 0xc8439cfa, "ceph_wait_for_latest_osdmap" },
	{ 0x4cad6f0, "ceph_pg_poolid_by_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xdec160e0, "__module_get" },
	{ 0x6c627860, "set_capacity" },
	{ 0xaf1296e4, "set_disk_ro" },
	{ 0x10dd1393, "dev_set_name" },
	{ 0xd2ed4ac6, "device_add" },
	{ 0xba5bb7f5, "ceph_create_client" },
	{ 0xc138ca58, "ceph_open_session" },
	{ 0x349cba85, "strchr" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe7290710, "ceph_parse_param" },
	{ 0xbba0ccfb, "device_add_disk" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x255277f9, "__fs_parse" },
	{ 0x3546b91b, "logfc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4466d616, "fs_param_is_u32" },
	{ 0x7479f632, "fs_param_is_enum" },
	{ 0x8a0dbf2, "fs_param_is_string" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0x37a0cba, "kfree" },
	{ 0x86fca7e4, "ceph_put_snap_context" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x9cf83ab8, "ceph_client_gid" },
	{ 0x6d94698e, "ceph_client_addr" },
	{ 0x85c4fc16, "osd_req_op_extent_osd_data_bvec_pos" },
	{ 0xb1e66350, "osd_req_op_extent_osd_data_bio" },
	{ 0xca80437b, "ceph_extent_to_file" },
	{ 0x100e7e14, "osd_req_op_alloc_hint_init" },
	{ 0xfdaad94a, "osd_req_op_extent_init" },
	{ 0xb96615fe, "osd_req_op_init" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x33b40db9, "get_device" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xe3c2e830, "blk_mq_alloc_tag_set" },
	{ 0xe41a7333, "__blk_mq_alloc_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd088af16, "blk_mq_free_tag_set" },
	{ 0xf0408865, "kmem_cache_destroy" },
	{ 0x466b85b8, "libceph_compatible" },
	{ 0xf0fd0e8, "__kmem_cache_create_args" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8a7d89f2, "device_register" },
	{ 0x50b51176, "put_device" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x4f697f81, "bus_register" },
	{ 0x5e59d4e6, "device_unregister" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x16fe200c, "bus_unregister" },
	{ 0x540fa21a, "alloc_pages_noprof" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd6987ea, "ceph_osdc_call" },
	{ 0xe3924994, "__free_pages" },
	{ 0x54b388ed, "put_disk" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xdf6ef4a1, "ceph_oid_printf" },
	{ 0x86e71f27, "ceph_cls_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x754d539c, "strlen" },
	{ 0x9bc6b539, "ceph_find_or_create_string" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf78d769a, "device_initialize" },
	{ 0xe92cf760, "ceph_osdc_alloc_request" },
	{ 0xbd2f79ae, "ceph_oloc_copy" },
	{ 0x5aeeee62, "ceph_oid_aprintf" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x567b8301, "osd_req_op_cls_init" },
	{ 0x317d29a, "ceph_alloc_page_vector" },
	{ 0x3bb720c9, "osd_req_op_cls_request_data_pages" },
	{ 0x9e5a294b, "ceph_osdc_alloc_messages" },
	{ 0xc4f336cc, "ceph_osdc_start_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc7b6af5, "ceph_cls_assert_locked" },
	{ 0x3c8d7111, "ceph_get_num_objects" },
	{ 0xb4be9d92, "ceph_release_page_vector" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85c45569, "ceph_copy_from_page_vector" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x51d8ca01, "ceph_osdc_notify_ack" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0x35ac4955, "ceph_osdc_watch" },
	{ 0x56492efc, "ceph_osdc_unwatch" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x895b63bd, "ceph_destroy_client" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2101cbc9, "ceph_oid_destroy" },
	{ 0x417a9131, "ceph_oloc_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaf0a7be2, "module_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8a5896b9, "ceph_osdc_flush_notifies" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7c993c54, "blk_mq_freeze_queue" },
	{ 0xc1f7819f, "blk_mark_disk_dead" },
	{ 0xd64f87e7, "blk_mq_unfreeze_queue" },
	{ 0xb17bee0, "del_gendisk" },
	{ 0x654ddcf8, "device_del" },
	{ 0xbd9feca0, "ceph_osdc_notify" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xa9522392, "osd_req_op_cls_request_data_bvecs" },
	{ 0xb16dcaa2, "kmem_cache_alloc_noprof" },
	{ 0xd56fc76f, "ceph_osdc_put_request" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "libceph");


MODULE_INFO(srcversion, "6645D4D0899056AE288A9F7");
