#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0xfa72b658, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x521519eb, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0x61e3e82b, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x813804c4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7173d2b0, "__pm_runtime_resume" },
	{ 0x1064eaf0, "desc_to_gpio" },
	{ 0x308706cd, "hci_recv_frame" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd5b09ecf, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0xa593eab3, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbf330742, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd696da5b, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0x148307c3, "btbcm_write_pcm_int_params" },
	{ 0x99f5056b, "btbcm_set_bdaddr" },
	{ 0xf372b5d0, "tty_unthrottle" },
	{ 0x12c05bd8, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x35dc6982, "btbcm_check_bdaddr" },
	{ 0x1aaa74eb, "skb_pull_data" },
	{ 0xc174c6af, "rcuwait_wake_up" },
	{ 0x61baf784, "acpi_dev_get_property" },
	{ 0x805b0e46, "regulator_disable" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0x3757f2f3, "qca_set_bdaddr_rome" },
	{ 0xdc77c51c, "__pm_runtime_suspend" },
	{ 0xea6c989a, "hci_register_dev" },
	{ 0x8fb1c1da, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x9cd1cba0, "__pm_runtime_use_autosuspend" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x4f1b030b, "btintel_enter_mfg" },
	{ 0x27f50924, "param_ops_int" },
	{ 0xac114757, "__hci_cmd_sync" },
	{ 0x5b405f8c, "debugfs_create_u8" },
	{ 0xd4bb0faa, "__pm_runtime_disable" },
	{ 0x7d49e479, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x85cc324b, "devm_clk_get_optional_enabled_with_rate" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xd6d7768, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0xfa8fff40, "hci_recv_diag" },
	{ 0x6ebf7f7b, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa04c7d52, "percpu_free_rwsem" },
	{ 0x64b6f09a, "gpiod_get_value_cansleep" },
	{ 0x7a8fe6ab, "tty_set_termios" },
	{ 0x7fdd2b49, "regulator_enable" },
	{ 0xafe3873b, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x394161c5, "is_acpi_device_node" },
	{ 0x7725659c, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa3df8b22, "devm_request_threaded_irq" },
	{ 0xa93fbd98, "percpu_down_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x610e1e7a, "skb_put" },
	{ 0x66f7d7dd, "gpiod_set_value" },
	{ 0xfbd6959f, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x271f885b, "serdev_device_set_baudrate" },
	{ 0xc09cbf0a, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xe3d18138, "hci_free_dev" },
	{ 0x8cf3d0ac, "platform_get_irq" },
	{ 0x54a6796e, "btintel_check_bdaddr" },
	{ 0x1f970411, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x20771337, "btrtl_download_firmware" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc5077516, "skb_dequeue" },
	{ 0xb580afc9, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xef3fa4f5, "btintel_send_intel_reset" },
	{ 0x9c0be279, "nvmem_cell_get" },
	{ 0x4bdaa599, "gpiod_set_value_cansleep" },
	{ 0x23f5c920, "devm_pwrseq_get" },
	{ 0x972572de, "request_firmware" },
	{ 0x58e9362b, "btintel_download_firmware" },
	{ 0x20f973b8, "btbcm_initialize" },
	{ 0xbba255b4, "serdev_device_set_flow_control" },
	{ 0xd341b399, "btrtl_initialize" },
	{ 0xdabed19c, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xed6874d3, "hci_alloc_dev_priv" },
	{ 0xca564b85, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f5d1f88, "qca_send_pre_shutdown_cmd" },
	{ 0x74507f48, "serdev_device_open" },
	{ 0xd3c343ec, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x67980f53, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x73c4b88d, "dev_kfree_skb_irq_reason" },
	{ 0xf00253db, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdec160e0, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x33b40db9, "get_device" },
	{ 0x55998d0d, "btintel_set_bdaddr" },
	{ 0x75d9d9fe, "hci_devcd_init" },
	{ 0xfcd977ab, "hci_devcd_append_pattern" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xfb2fe6e8, "serdev_device_set_parity" },
	{ 0x71cbc28f, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe79dc95b, "skb_queue_purge_reason" },
	{ 0x37f9f7c6, "hci_devcd_complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ea861e4, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xc96719aa, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0x243155f1, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x809bb19b, "pwrseq_power_on" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x96fc6102, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x50b51176, "put_device" },
	{ 0xb803e006, "devm_free_irq" },
	{ 0x67fabf66, "tty_driver_flush_buffer" },
	{ 0xac99b4a5, "pm_runtime_enable" },
	{ 0xf0485a4, "btintel_exit_mfg" },
	{ 0xa916b694, "strnlen" },
	{ 0xca3fe8c9, "pwrseq_power_off" },
	{ 0x62d354d5, "btintel_set_diag" },
	{ 0x3e3abc28, "__alloc_skb" },
	{ 0x41d385b7, "regulator_bulk_disable" },
	{ 0x63841fce, "device_property_read_u32_array" },
	{ 0x2ab9e2c, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcc421ad6, "__hci_cmd_sync_status" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe6061862, "skb_queue_tail" },
	{ 0xaf0a7be2, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0xc99fe945, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfdca0375, "btbcm_read_pcm_int_params" },
	{ 0x75b571e9, "percpu_up_write" },
	{ 0x95c5b5df, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xe511d4a2, "devm_acpi_dev_add_driver_gpios" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xb935c24a, "device_wakeup_enable" },
	{ 0xb267221f, "debugfs_create_bool" },
	{ 0x38f12ab1, "skb_pull" },
	{ 0x44b50205, "device_property_read_u8_array" },
	{ 0x8c6fff48, "devm_clk_put" },
	{ 0x3f8d191f, "sk_skb_reason_drop" },
	{ 0x3cd7f4ff, "serdev_device_write_flush" },
	{ 0xede65fc6, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0xb01182bf, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xd09f7fc, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9bd95062, "btrtl_set_quirks" },
	{ 0xb503d37f, "skb_push" },
	{ 0x55ae4149, "btintel_load_ddc_config" },
	{ 0x74761be5, "n_tty_ioctl_helper" },
	{ 0xbb145521, "debugfs_create_u64" },
	{ 0x5188cc69, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5be7002f, "btintel_set_event_mask_mfg" },
	{ 0x8e9cd71f, "tty_ldisc_flush" },
	{ 0xf3d11aca, "__percpu_init_rwsem" },
	{ 0x1d6735ec, "__hci_cmd_send" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc6c8f40e, "serdev_device_wait_until_sent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x5a3de29, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf8c8497b, "qca_uart_setup" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9a02178a, "hci_devcd_register" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xc3daf0a, "device_get_match_data" },
	{ 0xd1e08482, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb60920e3, "debugfs_create_u32" },
	{ 0x2c5eaac0, "acpi_match_device" },
	{ 0x64ef1b25, "serdev_device_set_tiocm" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xae78112b, "regulator_bulk_enable" },
	{ 0xf85074b9, "devm_regulator_bulk_get" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x6ad7f96e, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc79d32ea, "serdev_device_write_buf" },
	{ 0xe55d7fae, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe3a8931a, "tty_unregister_ldisc" },
	{ 0xab15602f, "__platform_driver_register" },
	{ 0x49c8de79, "devm_clk_get_optional" },
	{ 0x15ac23f9, "__hci_cmd_sync_ev" },
	{ 0x1f9894a6, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btqca,btbcm,btintel,btrtl,pwrseq-core");

MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w155s2-btC*");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-bt");
MODULE_ALIAS("of:N*T*Camlogic,w265s2-btC*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");
MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");

MODULE_INFO(srcversion, "5165BFD023659DC3A80BD8E");
