#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x916f2043, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x804b62d2, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x78dcef95, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfce8e6d0, "drm_mode_probed_add" },
	{ 0x97bed91f, "drm_set_preferred_mode" },
	{ 0x9466ad9d, "pwm_put" },
	{ 0x805b0e46, "regulator_disable" },
	{ 0x9ae8348d, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x430251b3, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x837137d8, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x1bc8357b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xcad067b6, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x51483951, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xbe669e58, "drm_atomic_helper_check_plane_state" },
	{ 0x2fd8800b, "__drm_gem_destroy_shadow_plane_state" },
	{ 0xa16f6f9d, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x3f386402, "drm_dev_unplug" },
	{ 0xc2da48f7, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0xcd401fb2, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xdd4ab36a, "drm_gem_fb_begin_cpu_access" },
	{ 0x493ca53, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x7602cac9, "drm_gem_fb_end_cpu_access" },
	{ 0xeea9b6a2, "drm_fb_xrgb8888_to_gray8" },
	{ 0xa5153bd5, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a6d7135, "drm_fb_xrgb8888_to_mono" },
	{ 0x4bdaa599, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7fdd2b49, "regulator_enable" },
	{ 0x3d51d455, "pwm_get" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xcafb4270, "__drm_atomic_helper_crtc_reset" },
	{ 0xb91bf1f9, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xcd538f43, "drm_gem_shmem_prime_import_sg_table" },
	{ 0x5b87131e, "drm_gem_shmem_dumb_create" },
	{ 0xd85ee83, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0xd966778c, "noop_llseek" },
	{ 0xfbb2ca25, "drm_read" },
	{ 0x9c1652e9, "drm_poll" },
	{ 0xf403bbc6, "drm_ioctl" },
	{ 0xbd595147, "drm_compat_ioctl" },
	{ 0x56846640, "drm_gem_mmap" },
	{ 0xb588fe74, "drm_open" },
	{ 0x66fec428, "drm_release" },
	{ 0x5f04e372, "drm_gem_fb_create_with_dirty" },
	{ 0xb55d049c, "drm_atomic_helper_check" },
	{ 0x383871a3, "drm_atomic_helper_commit" },
	{ 0x9b9c9abd, "drm_atomic_helper_connector_reset" },
	{ 0x36302efc, "drm_helper_probe_single_connector_modes" },
	{ 0x528675ae, "drm_connector_cleanup" },
	{ 0xcc6ed31, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x402d0fbe, "drm_atomic_helper_connector_destroy_state" },
	{ 0x7e6b1071, "drm_encoder_cleanup" },
	{ 0x9d863267, "drm_crtc_cleanup" },
	{ 0x283b10d5, "drm_atomic_helper_set_config" },
	{ 0xc3fc5bf5, "drm_atomic_helper_page_flip" },
	{ 0xdaf85baf, "drm_atomic_helper_update_plane" },
	{ 0x4f405760, "drm_atomic_helper_disable_plane" },
	{ 0x809c0121, "drm_plane_cleanup" },
	{ 0x733bcfb3, "drm_gem_begin_shadow_fb_access" },
	{ 0x25de5406, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa3dff992, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x76d848c6, "__devm_drm_dev_alloc" },
	{ 0xc3daf0a, "device_get_match_data" },
	{ 0x63841fce, "device_property_read_u32_array" },
	{ 0x44b50205, "device_property_read_u8_array" },
	{ 0xafe3873b, "device_property_present" },
	{ 0xf00253db, "devm_gpiod_get_optional" },
	{ 0x2ab9e2c, "devm_regulator_get" },
	{ 0xf13e09e4, "devm_backlight_device_register" },
	{ 0xbdf91510, "drmm_mode_config_init" },
	{ 0x9473a88e, "drm_universal_plane_init" },
	{ 0x1f448244, "drm_plane_enable_fb_damage_clips" },
	{ 0x291282dc, "drm_crtc_init_with_planes" },
	{ 0x8e2e8718, "drm_encoder_init" },
	{ 0x978513a4, "drm_connector_init" },
	{ 0x949aa47c, "drm_connector_attach_encoder" },
	{ 0xe71e14ee, "drm_mode_config_reset" },
	{ 0xd459052, "drm_dev_register" },
	{ 0x45c3db4b, "drm_client_setup" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xd74aa5d5, "drm_mode_duplicate" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F157D7F4076DB9959BCD64E");
