#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0x87b48813, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x33992f8b, "");
SYMBOL_CRC(bttv_sub_unregister, 0x5433b948, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe3c1e4ff, "snd_tea575x_enum_freq_bands" },
	{ 0xbb98ab27, "vb2_buffer_done" },
	{ 0x5188cc69, "driver_unregister" },
	{ 0x6a8453f2, "vb2_plane_vaddr" },
	{ 0x43230570, "v4l2_ctrl_subscribe_event" },
	{ 0xb2a68bd9, "snd_tea575x_s_hw_freq_seek" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x57de5f97, "video_unregister_device" },
	{ 0x439b8651, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x10b51e68, "i2c_new_client_device" },
	{ 0x19b10cda, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3bf875a8, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a7d89f2, "device_register" },
	{ 0x1cb675da, "rc_free_device" },
	{ 0x87ff50e0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x65fd73df, "vb2_fop_read" },
	{ 0x3eb37698, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18c3d331, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x689c5cf, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x1f540250, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x853e4939, "snd_tea575x_hw_init" },
	{ 0x11322024, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6b7feea8, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x29c5b0fb, "vb2_ioctl_streamon" },
	{ 0x519d8ffc, "vb2_fop_poll" },
	{ 0xe8d96fc1, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0x260c4eb0, "v4l2_ctrl_handler_free" },
	{ 0x45ee2718, "v4l2_device_unregister" },
	{ 0x761a94c6, "pci_disable_device" },
	{ 0xe8438834, "vb2_wait_for_all_buffers" },
	{ 0x38c09978, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf8cd5c24, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x4677b8c9, "v4l2_i2c_new_subdev" },
	{ 0x784dec8b, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x27f50924, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb76cec64, "video_device_release_empty" },
	{ 0xc10f342a, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89cd07ab, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe086a8d4, "v4l2_event_unsubscribe" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x4f697f81, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x99b141de, "vb2_ioctl_reqbufs" },
	{ 0xdfa22940, "vb2_queue_init" },
	{ 0x8460262, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xeca76464, "vb2_dma_sg_memops" },
	{ 0x6ee4fd58, "v4l2_ctrl_poll" },
	{ 0x52b4d4cb, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x845be1e0, "pci_enable_device" },
	{ 0x757ec61a, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5d4ab63d, "v4l2_ctrl_radio_filter" },
	{ 0x10dd1393, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb537477b, "i2c_bit_add_bus" },
	{ 0x9451ffbe, "v4l2_ctrl_add_handler" },
	{ 0x5e59d4e6, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x25eba383, "pci_get_device" },
	{ 0x972572de, "request_firmware" },
	{ 0xab7b5760, "__pci_register_driver" },
	{ 0xd7bcb08e, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x866bcdd2, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xf1194c3d, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xebb16eba, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcb7c34bc, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x414e657f, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa82ee6f6, "v4l2_ctrl_handler_log_status" },
	{ 0x8f45e40d, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x16599494, "video_devdata" },
	{ 0x50b51176, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x55f9f4c0, "vb2_fop_release" },
	{ 0xaec6390, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x55252152, "v4l2_ctrl_find" },
	{ 0x56591772, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x69b9c583, "__v4l2_ctrl_s_ctrl" },
	{ 0x1af34f89, "vb2_plane_cookie" },
	{ 0xfe262c0b, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x19d620a2, "rc_keyup" },
	{ 0x62ce0ec0, "vb2_ioctl_dqbuf" },
	{ 0x16fe200c, "bus_unregister" },
	{ 0x65aeefff, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2985b64, "tveeprom_read" },
	{ 0x89132f0e, "v4l2_ctrl_new_custom" },
	{ 0x11fd17ba, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3b93d3f1, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7800a58, "rc_register_device" },
	{ 0xadecfbc, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b964810, "rc_keydown" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videobuf2-common,videodev,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "9AC3A60F5909EF00DCEE29B");
