#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0x43399880, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0x611fc2f4, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0x28168c48, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0x81ef8bce, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0x5b793e75, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0xb0a0d5a0, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0xaebdc35c, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0x60c245b5, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0x9645a561, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0xedfa7937, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0xb974c966, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0x6454b6e5, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0x752c0c0e, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0x00248f9d, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0xf6ea5a4b, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0x92416e5f, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0x47c27e5b, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0x91e6180d, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0x2a7d0be2, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0xacefc553, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0x89f4ff6d, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2ee10b6e, "pci_ats_supported" },
	{ 0xca4fc35c, "dma_unmap_page_attrs" },
	{ 0x972572de, "request_firmware" },
	{ 0xab7b5760, "__pci_register_driver" },
	{ 0x8b60a63, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x64fb9334, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe8cacf9c, "ipu_bridge_init" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x414e657f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf1be5e1, "__free_iova" },
	{ 0xa5153bd5, "dev_driver_string" },
	{ 0x40f6ef6, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x990995db, "dma_map_page_attrs" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50b51176, "put_device" },
	{ 0xb803e006, "devm_free_irq" },
	{ 0xac99b4a5, "pm_runtime_enable" },
	{ 0xd27eeb4b, "alloc_iova" },
	{ 0xe3924994, "__free_pages" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x86cd2b41, "split_page" },
	{ 0x9ed206a2, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x821028d8, "pcim_iomap_regions" },
	{ 0xfbb90506, "vm_insert_page" },
	{ 0xfed06ea6, "devm_kmemdup" },
	{ 0x311c6da4, "put_iova_domain" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xa04d026b, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2f62f61d, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x654ddcf8, "device_del" },
	{ 0x1b8290c3, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x87ff50e0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf566cdfb, "ipu_bridge_parse_ssdb" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xc94be68f, "dma_set_coherent_mask" },
	{ 0x911fc3d9, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd3704b1b, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0x3557c304, "pm_runtime_allow" },
	{ 0x7173d2b0, "__pm_runtime_resume" },
	{ 0x74f2773c, "dma_map_sgtable" },
	{ 0x4043757f, "init_iova_domain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x540fa21a, "alloc_pages_noprof" },
	{ 0x38194a3e, "boot_cpu_data" },
	{ 0x38c09978, "dma_set_mask" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0x24cd8b3e, "dma_unmap_sg_attrs" },
	{ 0x10a8865c, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x991cd62f, "pcim_enable_device" },
	{ 0xd4bb0faa, "__pm_runtime_disable" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x79f1aa44, "find_iova" },
	{ 0x98732120, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0xa3df8b22, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x23dee16b, "pci_disable_ats" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4b8a061b, "auxiliary_device_init" },
	{ 0xafd33845, "vmalloc_to_page" },
	{ 0xf9b7dc2, "pci_alloc_irq_vectors" },
	{ 0xa6257a2f, "complete" },
	{ 0xd71d3cff, "dev_pm_domain_set" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "ipu-bridge");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5CCE0CE8DD4C92E4B7A5DC6");
