#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x8df8bafc, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xbe008fe4, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x53c2d31f, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x5700dc14, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x26ae6cdd, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0x0bd16d09, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xa71edd6b, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x2056cca4, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x8fe58bbb, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0x660256c1, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xc56e11f1, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xcf020840, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x03e28048, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xa2b0bcae, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x01dcfb9e, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x73306b40, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x18cd9346, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xd0324907, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0xee492ff9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x558404b8, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56591772, "i2c_del_adapter" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf8a8d287, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7800a58, "rc_register_device" },
	{ 0xadecfbc, "dma_alloc_attrs" },
	{ 0x4b964810, "rc_keydown" },
	{ 0x80f782c3, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xccda6820, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7cfd0e2f, "param_ops_short" },
	{ 0x1cb675da, "rc_free_device" },
	{ 0x87ff50e0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe6d577ab, "dvb_frontend_detach" },
	{ 0x18c3d331, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc94be68f, "dma_set_coherent_mask" },
	{ 0x802ba843, "dvb_net_release" },
	{ 0xa1b680ac, "dvb_ca_en50221_camready_irq" },
	{ 0x689c5cf, "rc_allocate_device" },
	{ 0x1f540250, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12406a02, "dvb_unregister_frontend" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xbed5201e, "dvb_ca_en50221_camchange_irq" },
	{ 0x2bafd826, "i2c_transfer" },
	{ 0x761a94c6, "pci_disable_device" },
	{ 0x2c6cb379, "dvb_register_frontend" },
	{ 0x784dec8b, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x2aac0647, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0x89cd07ab, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf85d0fc8, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x2f3a5d87, "enable_work" },
	{ 0x845be1e0, "pci_enable_device" },
	{ 0x656a975e, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x866bcdd2, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "39A45134D16E0E2F54BD6EA");
