#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_cdc_update_filter, "_gpl", "");
KSYMTAB_FUNC(usbnet_generic_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_ether_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_unbind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_status, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_bind, "_gpl", "");
KSYMTAB_FUNC(usbnet_cdc_zte_rx_fixup, "_gpl", "");

SYMBOL_CRC(usbnet_cdc_update_filter, 0xabb1934b, "_gpl");
SYMBOL_CRC(usbnet_generic_cdc_bind, 0xfb59b405, "_gpl");
SYMBOL_CRC(usbnet_ether_cdc_bind, 0x9cbaefa9, "_gpl");
SYMBOL_CRC(usbnet_cdc_unbind, 0x48e0496c, "_gpl");
SYMBOL_CRC(usbnet_cdc_status, 0x746e9c6b, "_gpl");
SYMBOL_CRC(usbnet_cdc_bind, 0x7ee78ee6, "_gpl");
SYMBOL_CRC(usbnet_cdc_zte_rx_fixup, 0x262213f4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8c62ab0, "usb_control_msg" },
	{ 0x972466e8, "usb_driver_release_interface" },
	{ 0x9c55c6e4, "cdc_parse_cdc_header" },
	{ 0x176922c8, "usb_ifnum_to_if" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x6d3c94ab, "usb_driver_claim_interface" },
	{ 0xa17cb52, "usbnet_get_endpoints" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9da54ad0, "usb_register_driver" },
	{ 0x22e5c370, "usb_deregister" },
	{ 0x73fbd3df, "usbnet_link_change" },
	{ 0xa1a6435c, "__dynamic_netdev_dbg" },
	{ 0x47888dec, "netdev_err" },
	{ 0xa1abbee1, "netif_carrier_off" },
	{ 0x91a086ed, "usbnet_get_ethernet_addr" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ac9d647, "dev_addr_mod" },
	{ 0xc9be742a, "usbnet_probe" },
	{ 0xd6b4263b, "usbnet_disconnect" },
	{ 0x8d4d11ee, "usbnet_suspend" },
	{ 0xeeade3f4, "usbnet_resume" },
	{ 0xf7126d03, "usbnet_manage_power" },
	{ 0xfd8402f8, "usbnet_get_drvinfo" },
	{ 0x755b8662, "usbnet_get_msglevel" },
	{ 0x9839bbf6, "usbnet_set_msglevel" },
	{ 0x50fe0612, "usbnet_nway_reset" },
	{ 0x381e9ab2, "usbnet_get_link" },
	{ 0x3a864c92, "ethtool_op_get_ts_info" },
	{ 0x4300e81f, "usbnet_get_link_ksettings_internal" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v04DDp8004d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8005d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8006d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp8007d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9031d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v04DDp9032d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v04DDp9050d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v07B4p0F02d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1004p61AAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v046DpC11Fd*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v1410pB001d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9010d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8195d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp8196d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp819Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1410p9011d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v03F0p421Dd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v16D5p650Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p14ACd*dc*dsc*dp*ic*isc*ip*in01*");
MODULE_ALIAS("usb:v0BDAp8153d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v17EFp721Ed*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1003d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1015d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1173d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1177d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p1181d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1BC7p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v413Cp81BAd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v12D1p15C1d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1143d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1104d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1313d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1546p1343d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0061d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0055d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp005Bd*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1E2Dp0069d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Aip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc06ipFFin*");

MODULE_INFO(srcversion, "ADF1F47D88021FE9788DDCD");
