#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x4011d5bf, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xf88348ca, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x71ed2233, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0x4fee9c15, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0x52f0551f, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x1a23c28e, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd72fd3b7, "alloc_netdev_mqs" },
	{ 0x2140fa47, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x22047fbf, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x790473d3, "cfg80211_put_bss" },
	{ 0xd62b6b38, "cfg80211_ch_switch_notify" },
	{ 0xe6061862, "skb_queue_tail" },
	{ 0x961321f7, "ieee80211_get_channel_khz" },
	{ 0xa9ccc878, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc27cfc16, "__cfg80211_radar_event" },
	{ 0xd0b6d1ec, "cfg80211_get_drvinfo" },
	{ 0xc407795, "init_net" },
	{ 0x79ed66a1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd0544f0d, "cfg80211_michael_mic_failure" },
	{ 0xd2c83773, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8855777b, "debugfs_remove" },
	{ 0xa1544fe3, "cfg80211_del_sta_sinfo" },
	{ 0x78dd72e8, "cfg80211_update_owe_info_event" },
	{ 0x22371ac2, "wiphy_unregister" },
	{ 0xbf8f618, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x17c39bc8, "netif_tx_stop_all_queues" },
	{ 0x32218274, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x4369368d, "wdev_chandef" },
	{ 0xdcd464a9, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa52a7c39, "cfg80211_unregister_wdev" },
	{ 0x6b8df0f0, "platform_device_register_full" },
	{ 0x26734e11, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1abbee1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb5179a88, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x324dfb92, "netdev_walk_all_lower_dev" },
	{ 0x81e66b34, "cfg80211_inform_bss_data" },
	{ 0xfae2226f, "cfg80211_shutdown_all_interfaces" },
	{ 0x599f4891, "dev_kfree_skb_any_reason" },
	{ 0x7a5f45e1, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x7d49e479, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a576360, "cfg80211_connect_done" },
	{ 0x7e7670df, "__cfg80211_get_bss" },
	{ 0x8340ea32, "wiphy_free" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x66cf0db9, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x863f6748, "eth_mac_addr" },
	{ 0x610e1e7a, "skb_put" },
	{ 0xc631ee1c, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe553d390, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4fe6a0e8, "cfg80211_cac_event" },
	{ 0xc5077516, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xed4e8bc3, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0x9e9980ab, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x33f06374, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xd6c22588, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x905c7738, "cfg80211_disconnected" },
	{ 0xeedad6dd, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6beb0739, "netdev_port_same_parent_id" },
	{ 0x2ac9d647, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "64D2906C8697FF93844C01C");
