#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb602ec8, "rt2x00usb_disable_radio" },
	{ 0x59462341, "rt2x00usb_disconnect" },
	{ 0xa3f39ad2, "rt2x00usb_suspend" },
	{ 0x218f79c6, "rt2x00usb_resume" },
	{ 0x1daf834b, "rt2x00usb_initialize" },
	{ 0xa34810d1, "rt2x00usb_uninitialize" },
	{ 0x189c3bc4, "rt2x00usb_clear_entry" },
	{ 0x28536bda, "rt2x00usb_watchdog" },
	{ 0xafd58429, "rt2x00usb_kick_queue" },
	{ 0x657d0ab0, "rt2x00usb_flush_queue" },
	{ 0xcd35d50, "rt2x00mac_tx" },
	{ 0x7f740ed4, "rt2x00mac_start" },
	{ 0xa9c51342, "rt2x00mac_stop" },
	{ 0x291f061f, "rt2x00mac_add_interface" },
	{ 0xe1a4993f, "rt2x00mac_remove_interface" },
	{ 0x1de28c46, "rt2x00mac_config" },
	{ 0x72f821f, "rt2x00mac_bss_info_changed" },
	{ 0xe8c3b987, "rt2x00mac_configure_filter" },
	{ 0xb38cf765, "rt2x00mac_set_tim" },
	{ 0x9ced78fa, "rt2x00mac_set_key" },
	{ 0xf68a16e4, "rt2x00mac_sw_scan_start" },
	{ 0x33676180, "rt2x00mac_sw_scan_complete" },
	{ 0xd077bdcd, "rt2x00mac_get_stats" },
	{ 0x59d1ca08, "rt2x00mac_conf_tx" },
	{ 0x263067b8, "rt2x00mac_rfkill_poll" },
	{ 0x3d551e97, "rt2x00mac_flush" },
	{ 0xf3e739cc, "rt2x00mac_set_antenna" },
	{ 0x4dd85237, "rt2x00mac_get_antenna" },
	{ 0x7abccfa0, "rt2x00mac_get_ringparam" },
	{ 0x9283846e, "rt2x00mac_tx_frames_pending" },
	{ 0xcd7bfaee, "ieee80211_emulate_add_chanctx" },
	{ 0x442839a7, "ieee80211_emulate_remove_chanctx" },
	{ 0xbd301513, "ieee80211_emulate_change_chanctx" },
	{ 0xdbeda923, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x7fbbc609, "ieee80211_handle_wake_tx_queue" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9da54ad0, "usb_register_driver" },
	{ 0x2f9b0a6c, "rt2x00usb_probe" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe55d7fae, "skb_trim" },
	{ 0xe553d390, "consume_skb" },
	{ 0x52ab5e37, "usb_submit_urb" },
	{ 0x22e5c370, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5a2c25d0, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf839555c, "rt2x00usb_vendor_request_buff" },
	{ 0x59558469, "rt2x00usb_vendor_request" },
	{ 0xe82c8691, "rt2x00lib_set_mac_address" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb503d37f, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
