#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x2d12a9dd, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x276f9bcb, "");
SYMBOL_CRC(pcmcia_dev_present, 0x10e398ad, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x18d12512, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x187ce55a, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x5439256a, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x9ad531bd, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x1249695b, "");
SYMBOL_CRC(pcmcia_release_window, 0x0f75cc2a, "");
SYMBOL_CRC(pcmcia_enable_device, 0xff171d8d, "");
SYMBOL_CRC(pcmcia_request_io, 0x34e5e6a7, "");
SYMBOL_CRC(pcmcia_request_irq, 0x12b4a187, "");
SYMBOL_CRC(pcmcia_request_window, 0xbe6611e6, "");
SYMBOL_CRC(pcmcia_disable_device, 0x00f4f78b, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xdbaff25e, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0xc8fa0750, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xdc9b8671, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0xff63df5c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5188cc69, "driver_unregister" },
	{ 0xed092415, "class_interface_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x984b4590, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8a7d89f2, "device_register" },
	{ 0x97feb620, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbb382340, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x4a2ffd31, "_dev_notice" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x74f2223e, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x6bb7f35f, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x27f50924, "param_ops_int" },
	{ 0x52d92bf0, "sysfs_remove_bin_file" },
	{ 0xc10f342a, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x4f697f81, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5b5dde4c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x6c2eee9c, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x10dd1393, "dev_set_name" },
	{ 0x7c60b7fa, "driver_remove_file" },
	{ 0x16d0e1b2, "driver_attach" },
	{ 0x5e59d4e6, "device_unregister" },
	{ 0x972572de, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x91f50c6c, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x33b40db9, "get_device" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2ac9d647, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x50b51176, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xccbadc1e, "driver_create_file" },
	{ 0x76ddadf5, "bus_for_each_dev" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xadb0c79d, "pccard_register_pcmcia" },
	{ 0xaf0a7be2, "module_put" },
	{ 0x16fe200c, "bus_unregister" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");
