#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fc_get_event_number, "", "");
KSYMTAB_FUNC(fc_host_post_fc_event, "", "");
KSYMTAB_FUNC(fc_host_post_event, "", "");
KSYMTAB_FUNC(fc_host_post_vendor_event, "", "");
KSYMTAB_FUNC(fc_find_rport_by_wwpn, "", "");
KSYMTAB_FUNC(fc_host_fpin_rcv, "", "");
KSYMTAB_FUNC(scsi_is_fc_rport, "", "");
KSYMTAB_FUNC(fc_eh_timed_out, "", "");
KSYMTAB_FUNC(fc_attach_transport, "", "");
KSYMTAB_FUNC(fc_release_transport, "", "");
KSYMTAB_FUNC(fc_remove_host, "", "");
KSYMTAB_FUNC(fc_remote_port_add, "", "");
KSYMTAB_FUNC(fc_remote_port_delete, "", "");
KSYMTAB_FUNC(fc_remote_port_rolechg, "", "");
KSYMTAB_FUNC(fc_block_rport, "", "");
KSYMTAB_FUNC(fc_block_scsi_eh, "", "");
KSYMTAB_FUNC(fc_eh_should_retry_cmd, "_gpl", "");
KSYMTAB_FUNC(fc_vport_create, "", "");
KSYMTAB_FUNC(fc_vport_terminate, "", "");

SYMBOL_CRC(fc_get_event_number, 0x375f8bbd, "");
SYMBOL_CRC(fc_host_post_fc_event, 0x24e7b9ac, "");
SYMBOL_CRC(fc_host_post_event, 0xb14bae39, "");
SYMBOL_CRC(fc_host_post_vendor_event, 0xdfa80610, "");
SYMBOL_CRC(fc_find_rport_by_wwpn, 0xaed76c39, "");
SYMBOL_CRC(fc_host_fpin_rcv, 0x5878a9a1, "");
SYMBOL_CRC(scsi_is_fc_rport, 0x09900921, "");
SYMBOL_CRC(fc_eh_timed_out, 0x7cc4c6c2, "");
SYMBOL_CRC(fc_attach_transport, 0xeac0c18b, "");
SYMBOL_CRC(fc_release_transport, 0xe8349027, "");
SYMBOL_CRC(fc_remove_host, 0x0eca18fc, "");
SYMBOL_CRC(fc_remote_port_add, 0xe18b30bd, "");
SYMBOL_CRC(fc_remote_port_delete, 0x20830eb4, "");
SYMBOL_CRC(fc_remote_port_rolechg, 0x2a5382de, "");
SYMBOL_CRC(fc_block_rport, 0x4687e954, "");
SYMBOL_CRC(fc_block_scsi_eh, 0x863fb280, "");
SYMBOL_CRC(fc_eh_should_retry_cmd, 0x64bac912, "_gpl");
SYMBOL_CRC(fc_vport_create, 0xa080b58d, "");
SYMBOL_CRC(fc_vport_terminate, 0x637d5e34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf78d769a, "device_initialize" },
	{ 0x33b40db9, "get_device" },
	{ 0x10dd1393, "dev_set_name" },
	{ 0x68f5bf08, "transport_setup_device" },
	{ 0xd2ed4ac6, "device_add" },
	{ 0xa83136e5, "transport_add_device" },
	{ 0xf92cba94, "transport_configure_device" },
	{ 0xd5e2846b, "sysfs_create_link" },
	{ 0x39867318, "_dev_printk" },
	{ 0x25563ac4, "transport_remove_device" },
	{ 0x654ddcf8, "device_del" },
	{ 0xe1da111c, "transport_destroy_device" },
	{ 0x4d15f6a4, "scsi_host_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x9f01d98, "attribute_container_register" },
	{ 0x8c16a87a, "scsi_flush_work" },
	{ 0x6763139b, "sysfs_remove_link" },
	{ 0x214d5208, "bsg_remove_queue" },
	{ 0xfc7d11be, "scsi_target_unblock" },
	{ 0xc6ca575, "scsi_remove_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf2c05217, "scsi_is_target_device" },
	{ 0xf998994f, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x28de3c11, "scsi_queue_work" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3dfadb67, "bsg_job_get" },
	{ 0xf914dd26, "blk_mq_end_request" },
	{ 0x87b9e863, "bsg_job_put" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbe8ac8b, "blk_mq_run_hw_queues" },
	{ 0xa7b76fab, "bsg_job_done" },
	{ 0x22e92251, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x50b51176, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5a921311, "strncmp" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9b319454, "scsi_scan_target" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x7b4566b9, "transport_class_register" },
	{ 0xb02b5e35, "transport_class_unregister" },
	{ 0xb20df220, "scsi_nl_sock" },
	{ 0x3e3abc28, "__alloc_skb" },
	{ 0xb6db2076, "__nlmsg_put" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xfb578fc5, "memset" },
	{ 0xe24bed8c, "netlink_broadcast_filtered" },
	{ 0x3f8d191f, "sk_skb_reason_drop" },
	{ 0x15f798e4, "scsi_init_limits" },
	{ 0xd84ba540, "bsg_setup_queue" },
	{ 0xcba47d2f, "blk_queue_rq_timeout" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x946a9e22, "scsi_is_host_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ffa2e4b, "attribute_container_unregister" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfcd501c3, "scsi_host_get" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "FD1C5C62001CAEB8AFAA692");
