#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__tb_ring_enqueue, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll, "_gpl", "");
KSYMTAB_FUNC(tb_ring_poll_complete, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_alloc_rx, "_gpl", "");
KSYMTAB_FUNC(tb_ring_start, "_gpl", "");
KSYMTAB_FUNC(tb_ring_stop, "_gpl", "");
KSYMTAB_FUNC(tb_ring_free, "_gpl", "");
KSYMTAB_FUNC(tb_property_create_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_free_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_immediate, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_data, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_text, "_gpl", "");
KSYMTAB_FUNC(tb_property_add_dir, "_gpl", "");
KSYMTAB_FUNC(tb_property_remove, "_gpl", "");
KSYMTAB_FUNC(tb_property_find, "_gpl", "");
KSYMTAB_FUNC(tb_property_get_next, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_response, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_request, "_gpl", "");
KSYMTAB_FUNC(tb_register_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_protocol_handler, "_gpl", "");
KSYMTAB_FUNC(tb_register_service_driver, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_service_driver, "_gpl", "");
KSYMTAB_DATA(tb_service_type, "_gpl", "");
KSYMTAB_DATA(tb_xdomain_type, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_enable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_lane_bonding_disable, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_alloc_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_in_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_release_out_hopid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_enable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_disable_paths, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_uuid, "_gpl", "");
KSYMTAB_FUNC(tb_xdomain_find_by_route, "_gpl", "");
KSYMTAB_FUNC(tb_register_property_dir, "_gpl", "");
KSYMTAB_FUNC(tb_unregister_property_dir, "_gpl", "");

SYMBOL_CRC(__tb_ring_enqueue, 0x3ea628c6, "_gpl");
SYMBOL_CRC(tb_ring_poll, 0x1556b345, "_gpl");
SYMBOL_CRC(tb_ring_poll_complete, 0xf9048465, "_gpl");
SYMBOL_CRC(tb_ring_alloc_tx, 0xcb2f1697, "_gpl");
SYMBOL_CRC(tb_ring_alloc_rx, 0x93a10d1f, "_gpl");
SYMBOL_CRC(tb_ring_start, 0x8f417b1b, "_gpl");
SYMBOL_CRC(tb_ring_stop, 0xa6317c87, "_gpl");
SYMBOL_CRC(tb_ring_free, 0x7ecd5e5c, "_gpl");
SYMBOL_CRC(tb_property_create_dir, 0x01d23ee1, "_gpl");
SYMBOL_CRC(tb_property_free_dir, 0x393b4f2f, "_gpl");
SYMBOL_CRC(tb_property_add_immediate, 0x658e3d97, "_gpl");
SYMBOL_CRC(tb_property_add_data, 0xa3d2b403, "_gpl");
SYMBOL_CRC(tb_property_add_text, 0xb7c7cdce, "_gpl");
SYMBOL_CRC(tb_property_add_dir, 0x8b62f95e, "_gpl");
SYMBOL_CRC(tb_property_remove, 0x785eb82c, "_gpl");
SYMBOL_CRC(tb_property_find, 0x4e5064a7, "_gpl");
SYMBOL_CRC(tb_property_get_next, 0x73ad2acb, "_gpl");
SYMBOL_CRC(tb_xdomain_response, 0xbc669f51, "_gpl");
SYMBOL_CRC(tb_xdomain_request, 0xf3d5759e, "_gpl");
SYMBOL_CRC(tb_register_protocol_handler, 0x4e64bdfd, "_gpl");
SYMBOL_CRC(tb_unregister_protocol_handler, 0xf76028c7, "_gpl");
SYMBOL_CRC(tb_register_service_driver, 0x648bbdcc, "_gpl");
SYMBOL_CRC(tb_unregister_service_driver, 0x0e2b6802, "_gpl");
SYMBOL_CRC(tb_service_type, 0xaa31ab1f, "_gpl");
SYMBOL_CRC(tb_xdomain_type, 0x446e412a, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_enable, 0x503d85ec, "_gpl");
SYMBOL_CRC(tb_xdomain_lane_bonding_disable, 0xeb0cd2f1, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_in_hopid, 0xe7310b38, "_gpl");
SYMBOL_CRC(tb_xdomain_alloc_out_hopid, 0xd4947cb8, "_gpl");
SYMBOL_CRC(tb_xdomain_release_in_hopid, 0x753d9464, "_gpl");
SYMBOL_CRC(tb_xdomain_release_out_hopid, 0xb6db6df8, "_gpl");
SYMBOL_CRC(tb_xdomain_enable_paths, 0xe1c8e443, "_gpl");
SYMBOL_CRC(tb_xdomain_disable_paths, 0x78c1723d, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_uuid, 0x01daec88, "_gpl");
SYMBOL_CRC(tb_xdomain_find_by_route, 0x51498897, "_gpl");
SYMBOL_CRC(tb_register_property_dir, 0xf1cfd1ff, "_gpl");
SYMBOL_CRC(tb_unregister_property_dir, 0x603249ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xc94be68f, "dma_set_coherent_mask" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xc1e5f9fa, "seq_read" },
	{ 0x7129a6f4, "osc_sb_native_usb4_support_confirmed" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc7d6684e, "fwnode_find_reference" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xd3704b1b, "pm_runtime_forbid" },
	{ 0x1f540250, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3557c304, "pm_runtime_allow" },
	{ 0x6febce65, "trace_event_buffer_reserve" },
	{ 0x7173d2b0, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8bab210b, "acpi_fetch_acpi_dev" },
	{ 0x569bc471, "param_ops_bool" },
	{ 0xd7269c64, "osc_sb_native_usb4_control" },
	{ 0x29839fa6, "seq_write" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3678ca52, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe27d3eda, "kobject_uevent" },
	{ 0x98c059ab, "debugfs_create_file_full" },
	{ 0x4e69fd7a, "device_iommu_capable" },
	{ 0x6ac8b7e6, "single_release" },
	{ 0x38c09978, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x50ddc950, "pci_walk_bus" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xdb81ce22, "nvmem_register" },
	{ 0xdc77c51c, "__pm_runtime_suspend" },
	{ 0x603e480f, "component_add" },
	{ 0x754d539c, "strlen" },
	{ 0x9cd1cba0, "__pm_runtime_use_autosuspend" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5c9b91fc, "single_open" },
	{ 0x991cd62f, "pcim_enable_device" },
	{ 0xd4bb0faa, "__pm_runtime_disable" },
	{ 0x760a656e, "crypto_alloc_shash" },
	{ 0x7d49e479, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9ffe84fc, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc10f342a, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x98732120, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x15c41c03, "__dev_fwnode" },
	{ 0xa13db3f4, "pci_bus_type" },
	{ 0xbdbc1562, "pci_write_config_dword" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x4f697f81, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3bef5ff, "pci_find_ext_capability" },
	{ 0x394161c5, "is_acpi_device_node" },
	{ 0x7725659c, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xda12b179, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xa3df8b22, "devm_request_threaded_irq" },
	{ 0x22e92251, "param_ops_uint" },
	{ 0x5f18a075, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1cdbd102, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x10dd1393, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0xf9b7dc2, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8475761, "trace_raw_output_prep" },
	{ 0x5e59d4e6, "device_unregister" },
	{ 0xb580afc9, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfbad8725, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x69d0ed52, "nvmem_unregister" },
	{ 0x48af9549, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xab7b5760, "__pci_register_driver" },
	{ 0xf78d769a, "device_initialize" },
	{ 0x9d32feaf, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31c851fc, "component_del" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3c343ec, "pcpu_hot" },
	{ 0xa11cd4d, "seq_lseek" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xb513a885, "acpi_find_child_by_adr" },
	{ 0xa9c49acf, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x67dec5f7, "pci_irq_vector" },
	{ 0x33b40db9, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x414e657f, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x23c37ad3, "trace_seq_puts" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa5153bd5, "dev_driver_string" },
	{ 0x7b1033e5, "trace_event_buffer_commit" },
	{ 0xc49e5e22, "crypto_destroy_tfm" },
	{ 0x3d83cd6e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7ea861e4, "__pm_runtime_set_status" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc432bb58, "pm_wakeup_dev_event" },
	{ 0x4acd369, "register_acpi_bus_type" },
	{ 0x1000e51, "schedule" },
	{ 0xb056f8e4, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2758cebb, "debugfs_lookup_and_remove" },
	{ 0x50b51176, "put_device" },
	{ 0xb803e006, "devm_free_irq" },
	{ 0xac99b4a5, "pm_runtime_enable" },
	{ 0xd99f4a23, "device_for_each_child_reverse" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd413066, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x76ddadf5, "bus_for_each_dev" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0xd5e2846b, "sysfs_create_link" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa0e63f24, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xae66e253, "perf_trace_run_bpf_submit" },
	{ 0x16fe200c, "bus_unregister" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0xb935c24a, "device_wakeup_enable" },
	{ 0xca2ecd78, "crypto_shash_setkey" },
	{ 0xfb1a364b, "bus_find_device" },
	{ 0xd2ed4ac6, "device_add" },
	{ 0x6763139b, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x44b50205, "device_property_read_u8_array" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x1b47d8ca, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f69cdb7, "pci_device_is_present" },
	{ 0xadecfbc, "dma_alloc_attrs" },
	{ 0x8855777b, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x7491568c, "seq_putc" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x42d13460, "trace_event_reg" },
	{ 0x3941fd10, "crypto_shash_digest" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5188cc69, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x11607718, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xa9f9b3bf, "pcim_iomap_region" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a7d89f2, "device_register" },
	{ 0x654ddcf8, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0x6514e98f, "unregister_acpi_bus_type" },
	{ 0xba3df740, "acpi_get_first_physical_node" },
	{ 0x87ff50e0, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xba1008c8, "__crc32c_le" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x484ddf04, "pm_runtime_no_callbacks" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00001513sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001547sv00002222sd00001111bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Asv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d0000156Csv*sd*bc08sc80i00*");
MODULE_ALIAS("pci:v00008086d00001575sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001577sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015BFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000015EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A17sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00008A0Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A1Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00009A21sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000463Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000466Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A73Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A76Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EB2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007EC3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A833sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A834sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E333sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E334sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E433sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000E434sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00005784sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i40*");

MODULE_INFO(srcversion, "C656B6EE90312FB8E300919");
