#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd69ffa0, "inode_newsize_ok" },
	{ 0x9a9dd616, "d_drop" },
	{ 0xe8022a40, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x53655db2, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbb64939, "crypto_skcipher_decrypt" },
	{ 0x4022f7c3, "truncate_inode_pages_final" },
	{ 0xe7bdc307, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x48330574, "__filemap_set_wb_err" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0x2e045f4b, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf65b821, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xdd413066, "const_pcpu_hot" },
	{ 0xe3924994, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x4d657175, "inode_init_once" },
	{ 0x5bf0825f, "file_write_and_wait_range" },
	{ 0x49037077, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x44b9d0ae, "vfs_get_link" },
	{ 0xafc32d58, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xfe1b3b3d, "generic_file_read_iter" },
	{ 0xd966778c, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9a19bd78, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x8ac98c85, "kmem_cache_alloc_lru_noprof" },
	{ 0xb3ffb68a, "lock_rename" },
	{ 0x2d68d82, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xb87c5544, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x3941fd10, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xf2bbf4d0, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x711e4cfd, "sysfs_create_group" },
	{ 0xdc3485a2, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe4dedac, "folio_end_read" },
	{ 0x817df35b, "block_dirty_folio" },
	{ 0x748c9103, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xa531fc30, "kern_path" },
	{ 0x2488f82a, "vfs_set_acl" },
	{ 0x1113564a, "misc_register" },
	{ 0x1c9281f6, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb16dcaa2, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x55d6a780, "key_validate" },
	{ 0xf0fd0e8, "__kmem_cache_create_args" },
	{ 0x9b2cdc23, "unlock_rename" },
	{ 0xb3c2bc1b, "vfs_rmdir" },
	{ 0xae23aefd, "writeback_iter" },
	{ 0x299cbcda, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xb78c8250, "truncate_setsize" },
	{ 0x952d8496, "kthread_create_on_node" },
	{ 0x775a217e, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc91c87b9, "vfs_symlink" },
	{ 0x252481f8, "super_setup_bdi" },
	{ 0xcfe2669e, "igrab" },
	{ 0xc8667159, "generic_read_dir" },
	{ 0x51e3fcef, "d_instantiate_new" },
	{ 0xea86463b, "d_add" },
	{ 0xe6a0afa1, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xce7611a1, "vfs_mknod" },
	{ 0x795629e5, "init_user_ns" },
	{ 0x1e4ad910, "dentry_open" },
	{ 0x54ba90ff, "request_key_tag" },
	{ 0x8e13ceb4, "__folio_put" },
	{ 0x21af4d3f, "vfs_fileattr_set" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x1dd58535, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3678ca52, "seq_printf" },
	{ 0x7a64e4e8, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xa83f979f, "deactivate_locked_super" },
	{ 0x3c6dea37, "touch_atime" },
	{ 0xc568221d, "lookup_one_len_unlocked" },
	{ 0x490b014a, "vfs_llseek" },
	{ 0x540fa21a, "alloc_pages_noprof" },
	{ 0xbe4850c3, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x255277f9, "__fs_parse" },
	{ 0xef57503e, "filemap_splice_read" },
	{ 0xa4f2170a, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xcacae239, "key_type_user" },
	{ 0xa6e4d165, "kill_anon_super" },
	{ 0x756f08b2, "vfs_getattr_nosec" },
	{ 0x322457c3, "iget5_locked" },
	{ 0x9dae8754, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbd5d652c, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x27f50924, "param_ops_int" },
	{ 0xed4b28eb, "inode_permission" },
	{ 0xa5f543b8, "mntget" },
	{ 0x760a656e, "crypto_alloc_shash" },
	{ 0x4b24892c, "__mark_inode_dirty" },
	{ 0xa86333ec, "generic_file_llseek" },
	{ 0x7d073356, "make_bad_inode" },
	{ 0x36fbef6f, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x94270616, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x3b08490b, "inode_set_ctime_to_ts" },
	{ 0xf4bc8d9e, "iget_failed" },
	{ 0x46fbd27e, "kernel_write" },
	{ 0xf0408865, "kmem_cache_destroy" },
	{ 0x92dc5d8b, "kobject_put" },
	{ 0x9e5305d8, "vfs_create" },
	{ 0xe092c911, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x2966b3fd, "crypto_skcipher_encrypt" },
	{ 0xb0aa363c, "generic_fillattr" },
	{ 0x14b16c9e, "setattr_prepare" },
	{ 0x9cad4bd8, "filemap_migrate_folio" },
	{ 0x2feadca1, "clear_nlink" },
	{ 0x1fee9380, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x83f99124, "d_instantiate" },
	{ 0xd30c86de, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x5fb5d96c, "clear_inode" },
	{ 0xc06ed4e8, "notify_change" },
	{ 0x22e92251, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1e459c6b, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8a0dbf2, "fs_param_is_string" },
	{ 0x4de54d5d, "folio_unlock" },
	{ 0x6d760006, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xfc28f965, "init_special_inode" },
	{ 0x327fed30, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfd364090, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbf642b76, "d_make_root" },
	{ 0xc783a250, "read_cache_folio" },
	{ 0x2c8fa7cc, "sget_fc" },
	{ 0xd71a5d9a, "d_splice_alias" },
	{ 0xb9dc9ec, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf33e53df, "iput" },
	{ 0xae59fcb2, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa22f3a1, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9fac11ef, "crypto_skcipher_setkey" },
	{ 0x9fd59855, "fsstack_copy_attr_all" },
	{ 0xa458f6e, "register_filesystem" },
	{ 0x119a7434, "vfs_unlink" },
	{ 0xce2af35c, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb8f221e2, "wake_up_process" },
	{ 0xd62542ca, "vfs_mkdir" },
	{ 0xc49e5e22, "crypto_destroy_tfm" },
	{ 0xff7a12fd, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4466d616, "fs_param_is_u32" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E1336512789D995A1D5E5A5");
