#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xecfcd859, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x5e399add, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x33ca12c4, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x01591135, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xfd125a18, "_gpl");
SYMBOL_CRC(br_forward, 0xf96b53cd, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xe9fa8053, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xd6d9bc4a, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x0bafd6dc, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xfa441bcc, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x2fbeb056, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x52624b71, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x907c26d3, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x89d2e8e4, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x545240b9, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xcc8bd518, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xbea0085e, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x0a593d26, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x16ab7445, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x2c42d3c3, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xbdea7a1a, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x8b18a8a7, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x7b285c78, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd4a76f81, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xcfe03b21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0x299cbcda, "kobject_create_and_add" },
	{ 0xe55d7fae, "skb_trim" },
	{ 0x9fe59a17, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa1a6435c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd8bdd084, "__ip_mc_inc_group" },
	{ 0xd5f87c95, "netdev_walk_all_upper_dev_rcu" },
	{ 0x911fc3d9, "pv_ops" },
	{ 0x775a217e, "sysfs_remove_group" },
	{ 0xc33501ad, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x96814125, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc56e7685, "__netpoll_setup" },
	{ 0x37357b9c, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc30b8828, "vlan_vid_add" },
	{ 0x4abc70f4, "neigh_destroy" },
	{ 0xa88a7619, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe5c932bb, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xf7135c07, "__SCK__tp_func_br_fdb_update" },
	{ 0xa855327e, "call_netdevice_notifiers" },
	{ 0xecc0884, "is_skb_forwardable" },
	{ 0x92d91ef8, "vlan_vid_del" },
	{ 0x9f11c532, "dev_set_allmulti" },
	{ 0x66d642af, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0xce4c2b07, "netdev_master_upper_dev_get" },
	{ 0xce70e8ec, "ipv6_dev_mc_inc" },
	{ 0xe1354d73, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa1abbee1, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1fd08da, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb2c747d2, "skb_clone" },
	{ 0x8bcc11ee, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xcf0449f9, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xfcabe90c, "dst_release" },
	{ 0xb5179a88, "netif_carrier_on" },
	{ 0xe27d3eda, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x81b6081d, "arp_tbl" },
	{ 0xbe1ee0f9, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf80ba50a, "netdev_rx_handler_register" },
	{ 0xefbc7c5e, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd19d75f9, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf2cca2a, "dev_disable_lro" },
	{ 0xab249c9f, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6ad41203, "dev_get_flags" },
	{ 0xd9b1b3f0, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x599f4891, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe68270c6, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x15f66591, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0x4871a766, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdc740163, "skb_ext_add" },
	{ 0x52d92bf0, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7af8b76f, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0x56b5e07f, "neigh_lookup" },
	{ 0xf0408865, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x92dc5d8b, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9034502, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1395b5ef, "netdev_lower_get_next" },
	{ 0xe7aad1f4, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4db9b537, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x63be28b4, "skb_copy_bits" },
	{ 0xb6db2076, "__nlmsg_put" },
	{ 0xb8602b44, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xebd0ecd, "ipv6_mc_check_mld" },
	{ 0x610e1e7a, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca532e78, "call_switchdev_notifiers" },
	{ 0x8a96e75c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x74db254e, "netdev_update_features" },
	{ 0xe553d390, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x192e9a93, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x365d9868, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7c3b4cda, "netpoll_send_skb" },
	{ 0x69a773ac, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x91f50c6c, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x670a42ff, "switchdev_port_obj_act_is_deferred" },
	{ 0xb1828bb1, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x907a4f4c, "dev_set_promiscuity" },
	{ 0xd3c343ec, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf8fc5b36, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbd8ef05, "netdev_state_change" },
	{ 0x73309075, "__pskb_copy_fclone" },
	{ 0xcf0177fa, "__dev_get_by_name" },
	{ 0xeedad6dd, "ether_setup" },
	{ 0x47888dec, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x13218b22, "pskb_expand_head" },
	{ 0x4c08c342, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x916fcc60, "brioctl_set" },
	{ 0x2ac9d647, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x83653f2b, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd72fd3b7, "alloc_netdev_mqs" },
	{ 0xdb91023, "passthru_features_check" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ad798fa, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9a4c66eb, "__SCK__tp_func_br_mdb_full" },
	{ 0x633f4010, "rtnl_af_register" },
	{ 0x913923d6, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x3e3abc28, "__alloc_skb" },
	{ 0xdd413066, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xca803764, "rtnl_set_sk_err" },
	{ 0xa5797254, "skb_vlan_pop" },
	{ 0x4738c7a8, "rtnl_unicast" },
	{ 0xd5e2846b, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x93310af0, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x522ce7d8, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xae01640f, "__dev_get_by_index" },
	{ 0xfa1c4611, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x2aee92d0, "dev_get_port_parent_id" },
	{ 0xc407795, "init_net" },
	{ 0xc758839d, "ipv6_stub" },
	{ 0x44546c64, "inet_confirm_addr" },
	{ 0x38f12ab1, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6763139b, "sysfs_remove_link" },
	{ 0xe79226c3, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9655479c, "__SCK__tp_func_br_fdb_add" },
	{ 0x8a63a843, "rtnl_af_unregister" },
	{ 0x3f8d191f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x49d0cbde, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcbb3d125, "dev_get_by_index_rcu" },
	{ 0x38cf5b53, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb503d37f, "skb_push" },
	{ 0x2d68d82, "kmem_cache_free" },
	{ 0x38a68fb4, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x159d8f05, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x4ca9b599, "netdev_upper_dev_unlink" },
	{ 0x7ffbe0d6, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x7544549, "llc_mac_hdr_init" },
	{ 0xe6a4c091, "__rtnl_register_many" },
	{ 0xbf8f618, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x381b5dea, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x981c790a, "kobject_init_and_add" },
	{ 0xeb2cb8d9, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xfdc7724f, "ns_capable" },
	{ 0xf280696a, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x711e4cfd, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf2515e11, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x81214706, "arp_create" },
	{ 0x52843807, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x858f1f10, "stp_proto_register" },
	{ 0x9b4daad3, "__tracepoint_br_fdb_update" },
	{ 0x181f6220, "sysfs_rename_link_ns" },
	{ 0x3400a10e, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb16dcaa2, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe88e9e89, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7af3682d, "__pskb_pull_tail" },
	{ 0xc2018119, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xab4f0471, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x416855e4, "ip_mc_check_igmp" },
	{ 0xdcd464a9, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xf0fd0e8, "__kmem_cache_create_args" },
	{ 0xd90ed96e, "switchdev_port_obj_del" },
	{ 0x81ab5555, "netdev_master_upper_dev_link" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "EE6DF9080CF99AD7262035B");
