#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0x455913c1, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0x6c884e3e, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0xf9299798, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x2b7f002, "crypto_aead_setauthsize" },
	{ 0xd365fe2e, "crypto_aead_setkey" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf5a4084f, "xfrm_state_lookup" },
	{ 0x14907809, "make_kuid" },
	{ 0x9370d3aa, "ip6_update_pmtu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x747079f0, "__xfrm_state_destroy" },
	{ 0x4f3bc68a, "ip6_redirect" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0xd56bb313, "__put_devmap_managed_folio_refs" },
	{ 0x8e13ceb4, "__folio_put" },
	{ 0x350d0392, "sk_free" },
	{ 0x63be28b4, "skb_copy_bits" },
	{ 0x5d1e6297, "ipv6_skip_exthdr" },
	{ 0x9c3160b5, "km_new_mapping" },
	{ 0x6306838c, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7e28d09c, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd08de13f, "xfrm_input_resume" },
	{ 0x4107ab50, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaf43f2e9, "skb_to_sgvec" },
	{ 0x9b0aee5e, "crypto_aead_decrypt" },
	{ 0xb503d37f, "skb_push" },
	{ 0x7af3682d, "__pskb_pull_tail" },
	{ 0x28e18a50, "xfrm_dev_resume" },
	{ 0x9777cd4b, "xfrm_output_resume" },
	{ 0xc9e87ef8, "__skb_ext_del" },
	{ 0x3f8d191f, "sk_skb_reason_drop" },
	{ 0xd3c343ec, "pcpu_hot" },
	{ 0x101c0193, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4af99643, "kmalloc_caches" },
	{ 0xe7119a81, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x423feb2b, "__inet6_lookup_established" },
	{ 0x178ebf01, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x55eba8a9, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xade5fc83, "espintcp_queue_out" },
	{ 0xf4457352, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x32ddde11, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd4feefeb, "crypto_aead_encrypt" },
	{ 0x814cb2c8, "xfrm_state_mtu" },
	{ 0x6d32c6c5, "xfrm6_rcv" },
	{ 0x8d3e1287, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfe961781, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xfd0bc2b7, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x3873e514, "xfrm6_protocol_register" },
	{ 0x5df20772, "xfrm_unregister_type" },
	{ 0xc49e5e22, "crypto_destroy_tfm" },
	{ 0x3d07a2c4, "xfrm6_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfffd0741, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "3E76C2E1C00E936A808DB87");
