#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0xfa1721e8, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0xf281eb35, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x2a164155, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fa60ccc, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9d32f74c, "cs35l56_get_calibration" },
	{ 0x7ea861e4, "__pm_runtime_set_status" },
	{ 0x92928951, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac99b4a5, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x63841fce, "device_property_read_u32_array" },
	{ 0xd9b2c8b9, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6ceb7e31, "cs35l56_init_cs_dsp" },
	{ 0xf602d5a2, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1e2e64, "cs_dsp_halo_init" },
	{ 0x203a6c49, "cs_dsp_power_down" },
	{ 0x8855777b, "debugfs_remove" },
	{ 0xcd39a89c, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xbdd19249, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8a16ae65, "cs35l56_mbox_send" },
	{ 0x91b6587c, "cs35l56_hw_init" },
	{ 0xae74dde6, "_dev_warn" },
	{ 0xc34490ff, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9b7bb902, "cs_dsp_power_up" },
	{ 0xf85cfa28, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x66cf4149, "cs35l56_wait_for_firmware_boot" },
	{ 0x79dc2595, "devm_kasprintf" },
	{ 0x8ed4aeee, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x723b1569, "cs35l56_is_fw_reload_needed" },
	{ 0x84b88457, "regmap_read" },
	{ 0x463d4c9f, "cs_dsp_run" },
	{ 0x7173d2b0, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x42dafc3c, "cs_amp_write_cal_coeffs" },
	{ 0x6910357c, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd8cd1636, "cs35l56_runtime_resume_common" },
	{ 0xfaf7186c, "regmap_update_bits_base" },
	{ 0x9d9f65ee, "dev_err_probe" },
	{ 0x37772575, "regmap_multi_reg_write" },
	{ 0xdc77c51c, "__pm_runtime_suspend" },
	{ 0x603e480f, "component_add" },
	{ 0xe4327714, "set_primary_fwnode" },
	{ 0x9cd1cba0, "__pm_runtime_use_autosuspend" },
	{ 0xb4e39403, "devm_gpiod_get_index_optional" },
	{ 0xd4bb0faa, "__pm_runtime_disable" },
	{ 0x7d49e479, "debugfs_create_dir" },
	{ 0xa9cb4881, "cs35l56_firmware_shutdown" },
	{ 0xa2ffda5f, "pm_runtime_force_suspend" },
	{ 0x98732120, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xf70264a1, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5891db82, "regcache_cache_only" },
	{ 0x394161c5, "is_acpi_device_node" },
	{ 0x508a799, "regcache_sync" },
	{ 0xa3dff992, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x61950555, "firmware_request_nowarn" },
	{ 0x61246e00, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3fc2a744, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb71cdfe8, "cs_dsp_stop" },
	{ 0xb580afc9, "pm_runtime_set_autosuspend_delay" },
	{ 0x4bdaa599, "gpiod_set_value_cansleep" },
	{ 0x31c851fc, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x94a15928, "sound_debugfs_root" },
	{ 0x22a71f8a, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4fcb3f4e, "cs_dsp_init_debugfs" },
	{ 0xf448074f, "__dynamic_dev_dbg" },
	{ 0xfa461f12, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "C51C6661B3E746EA109BFFE");
